package com.ssj.bean.sys.schoolmatecircle.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
@Entity
@Table(name = "scon_schoolmate_like")
public class SchoolmateLike extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 同学圈分享id或者同学圈评论id
     */
    private String headId;
    /**
     * 1:分享点赞(head_id为schoolmate_circle_id),2:评论点赞(head_id为schoolmate_comment_id)
     */
    private int type;
    /**
     * 点赞人user_id
     */
    private String userId;
    /**
     * 创建时间
     */
    private Date createTime;

    public String getHeadId() {
        return headId;
    }

    public void setHeadId(String headId) {
        this.headId = headId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
